Package Details: pass-tomb 1.1-1

Git Clone URL: https://aur.archlinux.org/pass-tomb.git (read-only)
Package Base: pass-tomb
Description: A pass extension that helps you to keep the whole tree of password encrypted inside a tomb.
Upstream URL: https://github.com/roddhjav/pass-tomb
Keywords: pass pass-extension tomb
Licenses: GPL3
Submitter: roddhjav
Maintainer: roddhjav
Last Packager: roddhjav
Votes: 5
Popularity: 0.040804
First Submitted: 2017-02-21 00:19
Last Updated: 2017-12-10 16:34

Pinned Comments

roddhjav commented on 2018-01-06 17:29

To install the package first import my PGP key:

gpg --recv-keys 06A26D531D56C42D66805049C5469996F0DF68EC

Alternatively add keyserver-options auto-key-retrieve to your ~/.gnupg/gpg.conf.

This key can also be found on https://pujol.io/keys

Latest Comments

Nalum commented on 2018-01-06 23:39

@roddhjav thanks. Was this a recent change as I had previously installed this without issue.

roddhjav commented on 2018-01-06 17:29

To install the package first import my PGP key:

gpg --recv-keys 06A26D531D56C42D66805049C5469996F0DF68EC

Alternatively add keyserver-options auto-key-retrieve to your ~/.gnupg/gpg.conf.

This key can also be found on https://pujol.io/keys

Nalum commented on 2018-01-06 17:24

I'm getting the following error when I try installing this using pacaur:

:: Package pass-tomb not found in repositories, trying AUR...
:: resolving dependencies...
:: looking for inter-conflicts...

AUR Packages  (1) pass-tomb-1.1-1  

:: Proceed with installation? [Y/n] 

:: Retrieving package(s)...
:: pass-tomb build files are up-to-date -- skipping
:: Checking pass-tomb integrity...
==> Making package: pass-tomb 1.1-1 (Sat Jan  6 17:13:22 GMT 2018)
==> Retrieving sources...
  -> Found pass-tomb-1.1.tar.gz
  -> Found pass-tomb-1.1.tar.gz.asc
==> Validating source files with sha512sums...
    pass-tomb-1.1.tar.gz ... Passed
    pass-tomb-1.1.tar.gz.asc ... Passed
==> Verifying source file signatures with gpg...
    pass-tomb-1.1.tar.gz ... FAILED (unknown public key C5469996F0DF68EC)
==> ERROR: One or more PGP signatures could not be verified!
:: failed to verify pass-tomb integrity

benneti commented on 2017-05-04 14:57

very cool, thank you

roddhjav commented on 2017-05-02 14:46

You're right, I just did the change. The version 1.0 of pass-tomb should come soon now.

benneti commented on 2017-04-17 19:29

I think the dependency can be changed now, as a new version of tomb was released

benneti commented on 2017-03-11 22:14

Thank you, in this case I will wait until it is released

roddhjav commented on 2017-03-10 16:00

Yes, there is a reason: pass-tomb requires tomb with gpg key support to encrypt the tomb key. This feature has been merged in tomb [1] but has not been released yet. Therefore it is only available from tomb-git.

[1] https://github.com/dyne/Tomb/pull/244

benneti commented on 2017-03-10 15:51

Is there a reason that this depends on tomb-git or would it be possible to change the dependency to tomb, so it could be either one?